/* ------------------------------------------------------------------ */
/*			I n t O b j e c t . j a v a		      */
/*			===========================		      */
/*								      */
/*   The file contains the source of the "IntObject" class.	      */
/* ------------------------------------------------------------------ */


package user.common;


/**
 * This class defines a simple int wrapper. It has the advantage above
 * the <CODE>Integer</CODE> class that its value can be set. This makes
 * it suited to be used in <CODE>synchronized</CODE> tags.
 * </P>
 *
 * <P>
 * Note that its only instance variable <CODE>value</CODE> can be used
 * without restrictions from this source file.
 *
 *    @author  Hans Blom
 *
**********************/
public class  IntObject
/*********************/
{
    public int  value;   // Instance var. representing the class value.


    /**
     * Constructor.
     *
     *    @param  value    Initialise the value of this wrapper class.
     *
    *****************************/
    public  IntObject (int  value)
    /****************************/
    {
	this.value = value;
    }
    
} // class IntObject
