/* ------------------------------------------------------------------ */
/*	      P l o t S t a t u s H a n d l e r . j a v a	      */
/*	      ===========================================	      */
/*								      */
/*   This file contains the source of the "PlotStatusHandler"	      */
/*   interface. It should be implemented to display the		      */
/*   "PlotCanvas" status messages.				      */
/* ------------------------------------------------------------------ */


package user.plot;    // Define the plot package.


/**
 * This interface should be implemented to show the status message of
 * the <CODE>PlotCanvas</CODE> class.
 *
 *    @see  PlotCanvas
 *
 *    @author  Hans Blom
 *
**********************************/
public interface  PlotStatusHandler
/*********************************/
{
    /**
     * Implement this method to show the plot status message.
     *
     *    @param  message        The plot status message to show.
     *
     *    @param  canvas_state   The enter, be within, or exit the plot
     *                          canvas state.
     *
     *    @see  PlotCanvas#ENTER
     *    @see  PlotCanvas#WITHIN
     *    @see  PlotCanvas#EXIT
     *
    ***********************************************/
    public void  showMessage (String  message,
			      int     canvas_state);
    /**********************************************/

} // interface PlotStatusHandler
