use strict;

my $PROGRAM  = basename ($0);
my $PROG_DIR = dirname	($0);

my $HOME_DIR = "$PROG_DIR\\..";
my $RSC_DIR  = "$HOME_DIR\\Tmp";

my $PORT_RSC_FILE = "$RSC_DIR\\netperf.port";

sub main
{
    if (! -f $PORT_RSC_FILE)
    {
	die "$PROGRAM: No netserver port RSC file: $PORT_RSC_FILE\n";
    }

    local *rsc_read;

    open (rsc_read, "<$PORT_RSC_FILE")  ||
	die "$PROGRAM: $!: Open netserver port RSC file for reading: " .
	    "$PORT_RSC_FILE\n";

    my $port = undef;

    while (<rsc_read>)
    {
	chomp ($port = $_);
    }

    close (rsc_read)  ||
	die "$PROGRAM: $!: Close netserver port RSC file after " .
	    "reading: $PORT_RSC_FILE\n";

    if (!defined ($port))
    {
	die "$PROGRAM: No value found in port RSC file: " .
	    "$PORT_RSC_FILE\n";
    }

    print "$port\n";
}

sub basename
{
    my $path = shift;

    $path =~ s/\\*$//;

    my @path_parts = split (/\\/, $path);

    return $path_parts [$#path_parts];
}

sub dirname
{
    my $path = shift;

    $path =~ s/\\*$//;

    if ($path =~ s/\\[^\\]*$//)
    {
	return $path;
    }
    else
    {
	return '.';
    }
}

main ();
